/*****************************************************************

Copyright (c) 2004 Abdiel Janulgue <xynopsis@yahoo.com>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software. 
******************************************************************/

#ifndef NETACCESS_H
#define NETACCESS_H

#include <qvariant.h>
#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QLabel;
class QLineEdit;
class QPushButton;

class NetAccess : public QDialog
{
    Q_OBJECT

public:
    NetAccess( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, 
	       WFlags fl = 0 );
    ~NetAccess();

    QLabel* netlabel;
    QLineEdit* netedit;
    QPushButton* ok;
    QPushButton* cancel;

    virtual void show();
protected:
    QHBoxLayout* NetAccessLayout;
    QVBoxLayout* buttonlayout;

protected slots:
    virtual void languageChange();
};

#endif // NETACCESS_H
